MAKECHROOTPKG(1)

NOME
makechrootpkg - Compila um PKGBUILD em um ambiente chroot dado

SINOPSE

makechrootpkg [OPÇÕES] -r <chrootdir> [--] [args para o makepkg]

DESCRIÇÃO

Execute este script em um diretório contendo um PKGBUILD para compilar um pacote dentro de um chroot limpo. Argumentos passados para este script após o marcador de fim de opções (--) serão passados para o makepkg.

O diretório chroot consiste nos seguintes diretórios: <chrootdir>/{root, cópia}, mas apenas "root" é exigido por padrão. A cópia de trabalho será criada conforme necessário

O diretório "root" do chroot deve ser criado através do seguinte comando: mkarchroot <chrootdir>/root base-devel

Este script lê {SRC,SRCPKG,PKG,LOG}DEST, NPROC, MAKEFLAGS e PACKAGER do makepkg.conf(5), se essas variáveis não forem parte do ambiente.

Argumentos padrões do makepkg: --syncdeps --noconfirm --log --holdver --skipinteg

OPÇÕES

-h
    Mostra essa mensagem de uso

-c
    Limpa o chroot antes de compilar

-d <dir>
    Vincula o diretório ao chroot de compilação como leitura e gravação

-D <dir>
    Vincula o diretório ao chroot de compilação como somente leitura

-t <dir>[:opções]
    Monta um tmpfs em dir. Veja o argumento --tmpfs em systemd-nspawn(1) para mais detalhes.

-u
    Atualiza a cópia de trabalho do chroot antes de compilar. Isto é útil para recompilações sem sujar o chroot original

-r <dir>
    O diretório de chroot para usar

-I <pkg>
    Instala um pacote na cópia de trabalho do chroot

-l <cópia>
    O diretório a ser usado como cópia de trabalho do chroot. Útil para manter múltiplas cópias. Padrão: $USER

-n
    Executa namcap após compilar o pacote

-C
    Executa checkpkg após compilar o pacote

-T
    Compila em um diretório temporário

-U
    Executa makepkg como um usuário específico

-x <quando>
    Inspeciona o chroot após a compilação, os modos possíveis são never (padrão), always ou failure

VEJA TAMBÉM

systemd-nspawn(1)

SITE

Por favor, relate bugs e solicitações de recursos no rastreador de problemas. Por favor, faça o seu melhor para fornecer um caso de teste reproduzível para bugs.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).